--- a/cplay
+++ b/cplay
@@ -1542,7 +1542,7 @@
 
 
 class FrameOffsetPlayer(Player):
-    re_progress = re.compile(br'Time.*\s(\d+):(\d+).*\[(\d+):(\d+)')
+    re_progress = re.compile(br'(?:Time|\>).*\s(\d+):(\d+).*(?:\+|\[)(\d+):(\d+)')
 
     def parse_buf(self):
         match = self.re_progress.search(self.buf)
@@ -1944,19 +1944,19 @@
         traceback.print_exc()
 
 
-MIXERS = [PulseMixer, AlsaMixer, OssMixer]
+MIXERS = []
 PLAYERS = [
-    FrameOffsetPlayer('ogg123 -q -v -k %d %s',
+    FrameOffsetPlayer('ogg123 -q -v -d alsa -o dev:front:CARD=XFi,DEV=0 -k %d %s',
             r'\.ogg$'),
     FrameOffsetPlayer('splay -f -k %d %s',
             r'(^https?://|\.mp[123]$)', 38.28),
-    FrameOffsetPlayer('mpg123 -q -v -k %d %s',
+    FrameOffsetPlayer('mpg123 -q -v -a front:CARD=XFi,DEV=0 -k %d %s',
             r'(^https?://|\.mp[123]$)', 38.28),
     FrameOffsetPlayer('mpg321 -q -v -k %d %s',
             r'(^https?://|\.mp[123]$)', 38.28),
     TimeOffsetPlayer('madplay -v --display-time=remaining -s %d %s',
             r'\.mp[123]$'),
-    MPV('mpv --audio-display=no --start %d %s',
+    MPV('mpv --osd-fractions=no --audio-display=no --audio-device=alsa/front:CARD=XFi,DEV=0 %s',
             r'^https?://|\.(mp[123cp+]|ogg|flac|spx|cdr|wav|aiff|ape|m4a|wma'
             r'|mod|xm|fm|s3m|med|col|669|it|mtm|stm|au)$'),
     # raw FLAC workaround.
@@ -1967,7 +1967,7 @@
             r'|mod|xm|fm|s3m|med|col|669|it|mtm|stm|au)$'),
     GSTPlayer('gst123 -x -k %d %s',
             r'\.(mp[123]|ogg|opus|oga|flac|wav|m4a|m4b|aiff)$'),
-    FFPlay('ffplay -nodisp -autoexit -ss %d %s',
+    FFPlay('ffplay -loglevel -8 -stats -nodisp -autoexit -ss %d %s',
            r'^https?://|\.(mp[123]|ogg|opus|oga|flac|wav|m4a|m4b|aiff)$'),
     FFPlay('avplay -nodisp -autoexit -ss %d %s',
            r'^https?://|\.(mp[123]|ogg|opus|oga|flac|wav|m4a|m4b|aiff)$'),
